"use client";
import { applyTypography } from "../../../styles/typography.js";
import { typographyStyles } from "../typographyStyles.js";
import { getPropDefaultsBase } from "./getPropDefaults.js";
import styled from "@emotion/styled";
import { jsx } from "@emotion/react/jsx-runtime";
//#region src/components/typography/base/Btn.tsx
function BtnString(props) {
	const { children, ...rest } = getPropDefaults(props);
	return /* @__PURE__ */ jsx(StyledBtn, {
		...rest,
		children
	});
}
function getPropDefaults(props) {
	return getPropDefaultsBase(props, { as: props.tag || "span" });
}
const StyledBtn = styled.span`
  ${({ theme, size, colorProp }) => applyTypography(theme, "Btn", size, colorProp)}
  ${typographyStyles}
`;
//#endregion
export { BtnString, StyledBtn, getPropDefaults };
